Open MPI logo

Open MPI User's Mailing List Archives

  |   Home   |   Support   |   FAQ   |   all Open MPI User's mailing list

Subject: [OMPI users] Problem compiling OpenMPI on Ubuntu 11.04
From: Sergiy Bubin (sergb77_at_[hidden])
Date: 2011-04-19 12:52:40


Hi all,

I am trying to compile OpenMPI 1.4.3 with Intel compilers (version 12.0 update 2) on my new computer (Ubuntu 11.04 beta2). While running ./configure script seems to be fine, make all generates an error almost at the very beginning (see the attached output_make_all.txt file). For completeness I am also attaching configure.log file.

I am not sure what that error means:

make[3]: Entering directory `/home2/bubin/Software/openmpi-1.4.3/opal/libltdl'
/bin/bash ./libtool --tag=CC --mode=compile icc -DHAVE_CONFIG_H -I. -DLT_CONFIG_H='' -DLTDL -I. -I. -Ilibltdl -I./libltdl -I./libltdl -O3 -DNDEBUG -fvisibility=hidden -MT dlopen.lo -MD -MP -MF .deps/dlopen.Tpo -c -o dlopen.lo `test -f 'loaders/dlopen.c' || echo './'`loaders/dlopen.c
libtool: compile: icc -DHAVE_CONFIG_H -I. "-DLT_CONFIG_H=" -DLTDL -I. -I. -Ilibltdl -I./libltdl -I./libltdl -O3 -DNDEBUG -fvisibility=hidden -MT dlopen.lo -MD -MP -MF .deps/dlopen.Tpo -c loaders/dlopen.c -fPIC -DPIC -o .libs/dlopen.o
/usr/include/linux/errno.h(4): catastrophic error: cannot open source file "asm/errno.h"
  #include

I have just tried to compile the same version of OpenMPI with Intel 12.0 on another machine running Ubuntu 9.10 and it went just fine. Also, I recently did it on two other systems running Ubuntu 10.04 and 10.10. Again, no problems we encountered. If anyone could shed some light on my issue that would be very much appreciated.

Thanks,
Sergiy